politas

CKAN (The Comprehensive Kerbal Archive Network); v1.26.4 - Orion

Recommended Posts

i have a question how could i download a mod i have in a file but its not in the list of mods on ckan?

 

Share this post


Link to post
Share on other sites
Posted (edited)
3 hours ago, eeeeeeee said:

i have a question how could i download a mod i have in a file but its not in the list of mods on ckan?

First, did you also check the list of all mods, not only the compatible ones? It might be that this mods is per se available on CKAN, however not marked as compatible with the version of KSP you are playing with.
If you find it there, and to be able to install it nevertheless, you can tell CKAN to also let you install mods for other KSP versions: Go to 'Setttings' > 'Compatible KSP versions' and select which versions you want.
If you are playing with KSP 1.7, 1.5 and 1.6 should be safe to select. However, make sure to check the forum thread for these mods first, whether there's something posted if they work with the latest KSP version, especially don't ask for support (or if, mention your KSP version) if it isn't stated as compatible.
 

Now if your mod really isn't available on CKAN:

3 hours ago, eeeeeeee said:

how could i download a mod i have in a file

Do you mean install? Because if you already have the zip folder, you probably already downloaded it.
CKAN can't install not-indexed mods for you, so you have to do it yourself.
So if you have this zip folder, first check the forum thread and/or SpaceDock page to get some informations on how to install. Normally it is explained there.

In most cases it's just a GameData folder in the zip file, then copy the contents of this GameData folder into your KSP/GameData folder.
That should be it. But make sure to check if there are dependencies you have to install too.

Here is a longer written tutorial on how to install mods in the KSP wiki.

Does this help you?

Edited by DasSkelett

Share this post


Link to post
Share on other sites

The CKAN client v1.26.4 "Orion" is released!

 

68747470733a2f2f75706c6f61642e77696b696d


Changes since 1.26.2

Features

  • [Multiple] Auto-uninstall auto-installed modules (#2753 by: HebaruSan; reviewed: DasSkelett)
  • [GUI] Add scrollbars to metadata tab (#2759 by: DasSkelett; reviewed: HebaruSan)
  • [Core] Detect Breaking Ground DLC (#2768 by: dbent; reviewed: Olympic1, HebaruSan)
  • [GUI] Internationalize the GUI (#2749 by: HebaruSan, DasSkelett; reviewed: DasSkelett, Olympic1)
  • [NetKAN] Extract locales from downloads (#2760 by: HebaruSan; reviewed: DasSkelett)
  • [GUI] Add menu option to report issues in the CKAN repo (#2801 by: DasSkelett; reviewed: HebaruSan)
  • [Netkan] Migrate Perl validation checks into netkan.exe (#2788 by: HebaruSan; reviewed: DasSkelett)
  • [GUI] Open ZIP button, instance name in status bar, description scroll bar (#2813 by: HebaruSan; reviewed: DasSkelett)
  • [Multiple] Support BreakingGround-DLC in instance faking (#2773 by: DasSkelett; reviewed: HebaruSan)
  • [GUI] Queue module version changes in change set (#2821 by: HebaruSan; reviewed: Olympic1)
  • [Build] Generate RPM packages (#2757 by: HebaruSan; reviewed: DasSkelett)

Bugfixes

  • [Core] Save registry inside of scan transaction (#2755 by: HebaruSan; reviewed: DasSkelett)
  • [Core] Cache downloads individually upon completion (#2756 by: HebaruSan; reviewed: DasSkelett)
  • [GUI] Hide auto-installed checkbox for auto-detected mods (#2758 by: HebaruSan; reviewed: DasSkelett)
  • [GUI] Update GUI modlist if scan detects changes (#2762 by: HebaruSan; reviewed: DasSkelett)
  • [Core] Don't assume string params to Install are identifiers (#2764 by: HebaruSan; reviewed: DasSkelett)
  • [Netkan] Don't warn that a raw URL is non-raw (#2767 by: HebaruSan; reviewed: DasSkelett)
  • [Multiple] Don't throw exceptions for dependency conflicts (#2766 by: HebaruSan; reviewed: DasSkelett)
  • [Core] Suppress autostart warning (#2776 by: HebaruSan; reviewed: DasSkelett)
  • [Netkan] Skip comments and allow capital letters in locale extractor (#2783 by: HebaruSan; reviewed: DasSkelett)
  • [GUI] Fix UK spelling of licence (#2794 by: HebaruSan; reviewed: DasSkelett)
  • [GUI] Mark auto-install correctly when installing from .ckan file (#2793 by: HebaruSan; reviewed: DasSkelett)
  • [Netkan] Ignore locales with no strings (#2805 by: HebaruSan; reviewed: DasSkelett)
  • [Netkan] Fix http kref validation (#2811 by: HebaruSan; reviewed: DasSkelett)
  • [Netkan] Fix Netkan localization parser performance (#2816 by: HebaruSan; reviewed: DasSkelett)
  • [GUI] Support newlines in GUI description field (#2818 by: HebaruSan; reviewed: DasSkelett)
  • [Core] Fix comparison of 1.0.0 to 1.0 (#2817 by: HebaruSan; reviewed: DasSkelett)
  • [GUI] Improve focus interactions of GUI filters and mod list (#2827 by: HebaruSan; reviewed: Olympic1)
  • [GUI] Fix issues when provides is removed (#2740 by: HebaruSan; reviewed: DasSkelett)
  • [GUI] Fix 'ManageKspInstances' dialog logic (#2787 by: DasSkelett; reviewed: HebaruSan)

Internal

  • [Build] Update packages (#2775 by: Olympic1; reviewed: DasSkelett, HebaruSan)
  • [Build] Fix fake/clone tests on Windows (#2778 by: HebaruSan; reviewed: DasSkelett)
  • [Reporting] Update issue templates (#2777 by: Olympic1; reviewed: DasSkelett, HebaruSan)
  • [Build] Fix ZipValid test on non-English Windows systems (#2781 by: HebaruSan; reviewed: DasSkelett)
  • [Build] Fix for building with VS 2019 (#2834 by: Olympic1; reviewed: DasSkelett)
  • [Netkan] Refactor Netkan for SQS mode (#2798 by: HebaruSan; reviewed: DasSkelett, techman83)
  • [Build] Add Dockerfile + Deployment for NetKAN Inflator (#2838 by: techman83; reviewed: HebaruSan)
  • [Core] Move config from Windows Registry to JSON file; Make CKAN-core .NET Standard 2.0 compliant (#2820 by: jbrot; reviewed: HebaruSan, Politas, Olympic, DasSkelett)

Notes

  • You don't need to download AutoUpdate.exe. This is used internally by CKAN when a new version is released.
  • Windows users must have .NET 4.5 installed. Simply download the ckan.exe file and either store it in your game directory or somewhere in your filesystem where you have non-admin write access. Never run the CKAN client as Administrator!
  • Mac/Linux/Mono users: please use the new cert-sync tool, to update mono's certificate store.
  • Mac Users: You should only need to download and install the CKAN.dmg
  • The .deb file is for automated installation on Debian-based Linux distributions - Use dpkg-install/apt-get/apt to install the .deb file and you will then be able to run CKAN with just ckan instead of mono ckan.exe. All required libraries should be pulled in as dependencies.
  • This release of the CKAN has not been tested on Mono releases prior to 5.0.1. We highly recommend upgrading to the latest stable release of Mono from mono-project.com You will need the equivalent of the mono-complete package for your OS.

Comments

  • Welcome to new contributor jbrot, who is planning to create a new MacOS interface for the CKAN client! Mac users, it's worth paying attention to upcoming Pull Requests on our GitHub. Testers will be very welcome!
  • We now have a CKAN Discord thanks to @Olympic1, which largely replaces the old IRC channels, since it does a better job of asynchronous communication. Feel free to hit us up there for questions, though the primary locations for Bug Reports and Metadata Issues remains GitHub.
  • Speaking of asking questions, I've recently started streaming on Twitch, playing KSP (usually fairly badly!). If anyone has questions about the CKAN client and how to make the best use of it, feel free to jump on my stream and ask, and I can demonstrate live!
  • I am humbled and inordinately grateful for the excellent team we have working on the CKAN these days. @HebaruSan, @DasSkelett, @Olympic1, and the incomparable master of infrastructure @techman83 are all doing fabulous work!

Share this post


Link to post
Share on other sites
1 hour ago, politas said:
  • [GUI] Internationalize the GUI (#2749 by: HebaruSan, DasSkelett; reviewed: DasSkelett, Olympic1)

For those not familiar with that word, this project involved substituting strings based on your system's language settings. So far we support UK English, US English, and German:

rFHyV95.png

(Only certain strings are translatable at this point, so you'll still see some English here and there, for example when installing mods.)

If you'd like to help translate CKAN into your favorite languages, volunteer here!

Share this post


Link to post
Share on other sites

What does the new checkbox under auto-install do/mean? Also is it normal for every single mod in the list to have a checkmark under the install category? Can supply screenshot if I didnt explain it right,srry.

Share this post


Link to post
Share on other sites
Posted (edited)
7 minutes ago, nascarlaser1 said:

What does the new checkbox under auto-install do/mean?

That's this one:

3 hours ago, politas said:
  • [Multiple] Auto-uninstall auto-installed modules (#2753 by: HebaruSan; reviewed: DasSkelett)

CKAN now keeps track of whether a mod was installed because you chose it or because it's a dependency of something else. Then when you remove mods, any auto-installed mods that aren't needed anymore are automatically removed as well. All modules you installed prior to upgrading to 1.26.4 are considered as user selected, since we don't have a record of how they got there, but you can use those checkboxes to tweak that. If you right click the header, there's a menu that allows you to hide columns, including this one.

Quote

Also is it normal for every single mod in the list to have a checkmark under the install category? Can supply screenshot if I didnt explain it right,srry.

Maybe you switched to the "Installed" filter?

Edited by HebaruSan

Share this post


Link to post
Share on other sites
Just now, HebaruSan said:

Maybe you switched to the "Installed" filter?

Not in installed filter, I specifically switched back and forth to check if that was the fix. Right now i have 71 installed mods, and that list appears properly, but when i go over to compatible,there are 883, and all of them are checked as installed, even though my gamedata verifies they are not. Seems to just be a graphical error more then anything. Should I screenshot?

I have so many compatible mods because I have multiple versions selected as compatible, mainly for part packs.

Share this post


Link to post
Share on other sites
20 hours ago, politas said:

Features

  • [GUI] Internationalize the GUI (#2749 by: HebaruSan, DasSkelett; reviewed: DasSkelett, Olympic1)

 

Now everything is in german, but I prefer to have english GUI. Is there a way how I can force english GUI?

Share this post


Link to post
Share on other sites
2 hours ago, DasCostaNix said:

Now everything is in german, but I prefer to have english GUI. Is there a way how I can force english GUI?

On Linux you can change the locale by setting  `LC_ALL=en_GB.utf-8` before `mono ckan.exe`.

However I suspect you are using Windows, and I'm not sure if there's a way apart from creating another users with different language settings, and launching CKAN as that user.

So I think we should add an option in CKAN to set the language.

Share this post


Link to post
Share on other sites
On 8/14/2019 at 11:34 AM, HebaruSan said:

CKAN now keeps track of whether a mod was installed because you chose it or because it's a dependency of something else. Then when you remove mods, any auto-installed mods that aren't needed anymore are automatically removed as well. All modules you installed prior to upgrading to 1.26.4 are considered as user selected, since we don't have a record of how they got there, but you can use those checkboxes to tweak that. If you right click the header, there's a menu that allows you to hide columns, including this one.

So, I understand why none of the Auto-Installed are checked immediately after installation of CKAN.  What do you expect will happen as my installed mods get updated?  Will CKAN then be able to determine auto-installs?

Share this post


Link to post
Share on other sites
Posted (edited)

Where is the Ckan exe launch located? I had to install a clean OS but my steam games and all that are in the same drive and location. I just lost all my shortcuts.

Edited by viperwolf

Share this post


Link to post
Share on other sites
1 hour ago, Brigadier said:

So, I understand why none of the Auto-Installed are checked immediately after installation of CKAN.  What do you expect will happen as my installed mods get updated?  Will CKAN then be able to determine auto-installs?

There's a check-box in the new client for the auto-install status of a mod for all installed mods.  You can change it yourself.  I imagine it will work the same way as the auto-install status of packages in the Debian Linux OS when using the aptitude program.

Share this post


Link to post
Share on other sites
4 hours ago, Brigadier said:

So, I understand why none of the Auto-Installed are checked immediately after installation of CKAN.  What do you expect will happen as my installed mods get updated?  Will CKAN then be able to determine auto-installs?

No, CKAN is only able to determine that at install time. So to use the feature (that means autoremoving the dependencies, when the dependents are removed) for already installed mods, you can go through your mod list and manually check the boxes.

You can also uncheck them whenever you want, if you say you want to keep that mod even if the dependents are uninstalled.

2 hours ago, Jacke said:

There's a check-box in the new client for the auto-install status of a mod for all installed mods.  You can change it yourself.  I imagine it will work the same way as the auto-install status of packages in the Debian Linux OS when using the aptitude program.

Yep. Only difference, in CKAN it is more accessible ^^

 

 

2 hours ago, viperwolf said:

Where is the Ckan exe launch located? I had to install a clean OS but my steam games and all that are in the same drive and location. I just lost all my shortcuts.

You mean the ckan.exe file? That is where you saved it. Many save it in the CKAN folder of the main KSP instance. If you can't find it, or lost it in the OS reinstall, just download CKAN again.
And remember where you save it to ;)

Share this post


Link to post
Share on other sites
15 hours ago, politas said:

I already had the english language-pack installed. I can switch input language on a per app basis and Windows 10 remembers the input language for each app. But it changes ONLY the keyboard layout, not the GUI-language. :(

23 hours ago, DasSkelett said:

On Linux you can change the locale by setting  `LC_ALL=en_GB.utf-8` before `mono ckan.exe`.

However I suspect you are using Windows, and I'm not sure if there's a way apart from creating another users with different language settings, and launching CKAN as that user.

So I think we should add an option in CKAN to set the language.

Since the tip politas gave only changes the keyboard layout but not the GUI-language, I would really love to have that option!

Share this post


Link to post
Share on other sites
10 hours ago, DasSkelett said:

Yep. Only difference, in CKAN [ auto install flags are ] more accessible ^^

Oh yes.  Offtopic, but for aptitude I had to put in a custom Package-Display-Format in /etc/apt/apt.conf.  Then it was the 'M' and 'm' keys to change the flags.

Aptitude::UI::Package-Display-Format "%c%a%M %p #%Z %3R %5s %2r %9t %16V %1S";

 

Share this post


Link to post
Share on other sites
Posted (edited)
21 hours ago, DasSkelett said:

 

You mean the ckan.exe file? That is where you saved it. Many save it in the CKAN folder of the main KSP instance. If you can't find it, or lost it in the OS reinstall, just download CKAN again.
And remember where you save it to ;)

I see where I installed, I just dont see the exe for it. CKan folder is at the very top of my KSP  folder. I only see things like history and plugins and some other files. I guess ill reinstall it, Im assuming i can do that without deleting the older one? So I dont lose the mods i have.

 

EDIT: I looked over the page and did not see anyone have this problem. When I try to install the update its gets to the end and then ckan (Ckan Program Update) just stops and crashes. Just Ckan not my PC. I can load it without trying to update and update the mods, but installing the ckan update causes my issue.

EDIT 2: I uninstalled ckan and reinstalled the Orion version, everything went ok. I closed and restarted and it reverted back to asking to update.

 

 

 

Edited by viperwolf

Share this post


Link to post
Share on other sites
Posted (edited)
On 8/17/2019 at 12:14 AM, viperwolf said:

I see where I installed, I just dont see the exe for it. CKan folder is at the very top of my KSP  folder. I only see things like history and plugins and some other files. I guess ill reinstall it, Im assuming i can do that without deleting the older one? So I dont lose the mods i have.

EDIT: I looked over the page and did not see anyone have this problem. When I try to install the update its gets to the end and then ckan (Ckan Program Update) just stops and crashes. Just Ckan not my PC. I can load it without trying to update and update the mods, but installing the ckan update causes my issue.

To clarify, CKAN doesn't really need installing. It is just a single .exe file that you download and save somewhere you want and have write access  to without needing administrator privileges.
That means, somewhere in  "C:/Program Files" or "C:/Program Files (x86)"  does not work in most cases.

Missing write access could explain the failing update.

On 8/17/2019 at 12:14 AM, viperwolf said:

EDIT 2: I uninstalled ckan and reinstalled the Orion version, everything went ok. I closed and restarted and it reverted back to asking to update.

That means when you restarted it, you didn't open the newly downloaded ckan.exe, but the old one.
Where is your ckan.exe saved? How do you open it, via shortcuts? Check where they are pointing to.

Edited by DasSkelett

Share this post


Link to post
Share on other sites
9 hours ago, DasSkelett said:

To clarify, CKAN doesn't really need _installing_. It is just a single .exe file that you download and save somewhere you want **and have write access  to without needing administrator privileges**.
That means, somewhere in  "C:/Program Files" or "C:/Program Files (x86)"  does **not** work in most cases.

Missing write access could explain the failing update.

That means when you restarted it, you didn't open the newly downloaded ckan.exe, but the old one.
Where is your ckan.exe saved? How do you open it, via shortcuts? Check where they are pointing to.

ok That makes sense then. I ended up uninstalling everything I could find and will try again today. Now that I understand its not an installer.

 

Share this post


Link to post
Share on other sites

Hi, I'm getting some very severe lag when trying to select a mod to update. The program will become unresponsive then recover a few times, then after about 45 sec to a minute the items I clicked will select.

I'm using CKAN ver 1.26.4, OS is Win10 Pro.

Share this post


Link to post
Share on other sites
5 hours ago, shdwlrd said:

Hi, I'm getting some very severe lag when trying to select a mod to update. The program will become unresponsive then recover a few times, then after about 45 sec to a minute the items I clicked will select.

I've tried what you describe on Windows, but I didn't see any slowdown.

Maybe try giving us more details in an issue?  https://github.com/KSP-CKAN/CKAN/issues/new/choose

Share this post


Link to post
Share on other sites
Posted (edited)

After I recently updated ckan it changed to my native language ... How do I change it back to English?

(I use English in all applications, cause translations are in most cases horrible at best and outright wrong at worst)

Never mind was answered already as not possible for now. 

On 8/16/2019 at 1:22 AM, politas said:

Does not work, option probably got removed in recent updates of windows.

Edited by Bizz Keryear

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.